define("epi-forms/ModuleSettings", [], function () {
  // module:
  //      epi-forms/ModuleSettings
  // summary:
  //      Module settings for EPiServer Forms.
  //      Stores shared settings, constants for entire system.
  // tags:
  //      public
  return {
    // quickLayout: [public] Boolean
    //      Default mode of EPiServer Forms when create a new element by Dnd action.
    quickLayout: true,
    // createNewFormsElementActionName: [public] String
    //      Action name for create a new form element.
    createNewFormsElementActionName: "createnewformselement",
    // createNewFormsElementByDndActionName: [public] String
    //      Action name for create a new form element by Dnd action.
    createNewFormsElementByDndActionName: "createnewformselementbydnd"
  };
});